Subject: Re: [PATCHv2] Teach --no-ff option to 'rebase -i'.

From: Johannes Sixt <[email-masked]>
Date: Wed, 17 Mar 2010 07:59:19 +0100

Jonathan Nieder schrieb:
> If I am understanding properly, your idea is that this would be used on
> a branch after “unmerging” it from master:
> 
>     B --- C --- D [topic]
>   /              \
>  A ---  ...   --- M ... --- U [master]
> 
> Here M is a merge commit and U a commit reverting the change from M^
> to M.

If I were to re-merge topic into master a second time after this
situation, I would install a temporary graft that removes the second
parent of M and repeat the merge. After the graft is removed, the history
would look like this:

     B --- C --- D --------------.   [topic]
   /              \               \
  A ---  ...   --- M ... --- U ... N [master]

Are there any downsides? I don't know - I haven't thought it through.

-- Hannes